{
  "name": "hima",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "nx serve isa-app --ssl",
    "pretest": "npx trash-cli testresults",
    "test": "npx nx run-many  --tuiAutoExit true -t test --exclude isa-app",
    "ci": "npx nx run-many -t test --exclude tag:skip:ci -c ci --tuiAutoExit true",
    "build": "nx build isa-app --configuration=development",
    "build-prod": "nx build isa-app --configuration=production",
    "lint": "nx lint",
    "e2e": "nx e2e",
    "generate:swagger": "nx run-many -t generate -p tag:generated,swagger",
    "fix:files:swagger": "node ./tools/fix-files.js generated/swagger",
    "prettier": "prettier --write .",
    "pretty-quick": "pretty-quick --staged",
    "prepare": "husky",
    "storybook": "npx nx run isa-app:storybook",
    "docs:generate": "node tools/generate-library-reference.js"
  },
  "private": true,
  "dependencies": {
    "@angular-architects/ngrx-toolkit": "^20.4.0",
    "@angular/animations": "20.3.6",
    "@angular/cdk": "20.2.9",
    "@angular/common": "20.3.6",
    "@angular/compiler": "20.3.6",
    "@angular/core": "20.3.6",
    "@angular/forms": "20.3.6",
    "@angular/localize": "20.3.6",
    "@angular/platform-browser": "20.3.6",
    "@angular/platform-browser-dynamic": "20.3.6",
    "@angular/router": "20.3.6",
    "@angular/service-worker": "20.3.6",
    "@microsoft/signalr": "^8.0.7",
    "@ng-icons/core": "32.2.0",
    "@ng-icons/material-icons": "32.2.0",
    "@ngrx/component-store": "^20.0.0",
    "@ngrx/effects": "^20.0.0",
    "@ngrx/entity": "^20.0.0",
    "@ngrx/operators": "^20.0.0",
    "@ngrx/signals": "^20.0.0",
    "@ngrx/store": "^20.0.0",
    "@ngrx/store-devtools": "^20.0.0",
    "angular-oauth2-oidc": "^20.0.2",
    "angular-oauth2-oidc-jwks": "^20.0.0",
    "date-fns": "^4.1.0",
    "jsbarcode": "^3.12.1",
    "lodash": "^4.17.21",
    "moment": "^2.30.1",
    "ng2-pdf-viewer": "^10.4.0",
    "ngx-matomo-client": "^8.0.0",
    "parse-duration": "^2.1.3",
    "rxjs": "~7.8.2",
    "scandit-web-datacapture-barcode": "^6.28.1",
    "scandit-web-datacapture-core": "^6.28.1",
    "tslib": "^2.3.0",
    "uuid": "^8.3.2",
    "zod": "^3.24.2",
    "zone.js": "~0.15.0"
  },
  "devDependencies": {
    "@analogjs/vite-plugin-angular": "1.21.3",
    "@analogjs/vitest-angular": "1.21.3",
    "@angular-devkit/build-angular": "^20.3.6",
    "@angular-devkit/core": "20.3.6",
    "@angular-devkit/schematics": "20.3.6",
    "@angular/build": "^20.3.6",
    "@angular/cli": "^20.3.6",
    "@angular/compiler-cli": "20.3.6",
    "@angular/language-service": "20.3.6",
    "@angular/pwa": "20.3.6",
    "@eslint/js": "^9.8.0",
    "@ngneat/spectator": "22.0.0",
    "@nx/angular": "21.3.2",
    "@nx/eslint": "21.3.2",
    "@nx/eslint-plugin": "21.3.2",
    "@nx/jest": "21.3.2",
    "@nx/js": "21.3.2",
    "@nx/storybook": "21.3.2",
    "@nx/vite": "21.3.2",
    "@nx/web": "21.3.2",
    "@nx/workspace": "21.3.2",
    "@schematics/angular": "20.3.6",
    "@storybook/addon-docs": "^9.0.11",
    "@storybook/angular": "^9.0.5",
    "@swc-node/register": "1.10.10",
    "@swc/core": "1.12.1",
    "@swc/helpers": "0.5.17",
    "@types/jest": "30.0.0",
    "@types/jsbarcode": "^3.11.4",
    "@types/lodash": "^4.17.16",
    "@types/node": "18.16.9",
    "@types/uuid": "^10.0.0",
    "@typescript-eslint/utils": "^8.33.1",
    "@vitest/coverage-v8": "^3.1.1",
    "@vitest/ui": "^3.1.1",
    "angular-eslint": "20.4.0",
    "autoprefixer": "^10.4.20",
    "eslint": "^9.28.0",
    "eslint-config-prettier": "^10.1.5",
    "husky": "^9.1.7",
    "jest": "^29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "jest-environment-node": "^29.7.0",
    "jest-junit": "^16.0.0",
    "jest-preset-angular": "14.6.0",
    "jiti": "2.4.2",
    "jsdom": "~22.1.0",
    "jsonc-eslint-parser": "^2.1.0",
    "ng-mocks": "14.14.0",
    "ng-packagr": "20.3.0",
    "ng-swagger-gen": "^2.3.1",
    "nx": "21.3.2",
    "postcss": "^8.5.3",
    "postcss-url": "~10.1.3",
    "prettier": "^3.5.2",
    "pretty-quick": "~4.0.0",
    "storybook": "^9.0.5",
    "tailwindcss": "^3.4.14",
    "ts-jest": "^29.1.0",
    "ts-node": "10.9.1",
    "typescript": "5.8.3",
    "typescript-eslint": "^8.33.1",
    "vite": "6.3.5",
    "vitest": "^3.1.1"
  },
  "engines": {
    "node": ">=22.12.0 <23.0.0",
    "npm": ">=11.6.0 <11.7.0"
  }
}
